#!/bin/sh
export PATH='/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: STMonadTrans
version: 0.3.4
id: STMonadTrans-0.3.4-8cQrHWbnDEL30NLdJ0qlZ8
key: STMonadTrans-0.3.4-8cQrHWbnDEL30NLdJ0qlZ8
license: BSD3
maintainer: josef.svenningsson@gmail.com
synopsis: A monad transformer version of the ST monad
description:
    A monad transformer version of the ST monad
    Warning! This monad transformer should not be used with monads that
    can contain multiple answers, like the list monad. The reason is that
    the state token will be duplicated across the different answers and this causes
    Bad Things to happen (such as loss of referential transparency). Safe
    monads include the monads State, Reader, Writer, Maybe and
    combinations of their corresponding monad transformers.
category: Monads
author: Josef Svenningsson
exposed: True
exposed-modules:
    Control.Monad.ST.Trans Control.Monad.ST.Trans.Internal
abi: cd3fe021ea8c89e63c44a9ed957ed6a6
trusted: False
import-dirs: /usr/lib/ghc-8.0.1/site-local/STMonadTrans-0.3.4
library-dirs: /usr/lib/ghc-8.0.1/site-local/STMonadTrans-0.3.4
data-dir: /usr/share/x86_64-linux-ghc-8.0.1/STMonadTrans-0.3.4
hs-libraries: HSSTMonadTrans-0.3.4-8cQrHWbnDEL30NLdJ0qlZ8
depends:
    array-0.5.1.1 base-4.9.0.0 mtl-2.2.1-6qsR1PHUy5lL47Hpoa4jCM
haddock-interfaces: /usr/share/doc/haskell-stmonadtrans/html/STMonadTrans.haddock
haddock-html: /usr/share/doc/haskell-stmonadtrans/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
